EGGS(1)

NAME
eggs - the reproductive system of penguins: eggs v9.6.23

SYNOPSIS

Install Debian families (debian/devuan/ubuntu)

    $ sudo dpkg -i eggs_9.6.23_amd64.deb

Install Arch families (Arch, manjaro Linux)

Arch from AUR

    $ git clone https://aur.archlinux.org/penguins-eggs.git
    $ cd penguins-eggs.git
    $ makepkg -si

Arch from development repo

    $ git clone https://github.com/pieroproietti/penguins-eggs-arch
    $ cd penguins-eggs-arch
    $ makepkg -si

Manjaro from development repo

    $ git clone https://github.com/pieroproietti/penguins-eggs-manjaro
    $ cd penguins-eggs-manjaro
    $ makepkg -si

USAGE

    $ eggs (-v|--version|version)
    penguins-eggs/9.6.23 linux-x64 node-v18.17.1
    $ eggs --help [COMMAND]
    USAGE
    $ eggs COMMAND

Most of the commands of eggs need sudo, but there are exceptions for export, info and mom.

examples:

    sudo eggs produce --fast
    sudo eggs produce --fast --clone
    sudo eggs produce --fast --backup
    sudo eggs kill

There are too, two interactive helpers:

    eggs mom
    sudo eggs dad
    sudo eggs dad -d

Help yorself signing on telegram https://t.me/penguins_eggs or in facebook group page or asking me.

DESCRIPTION

eggs is a console utility, in active development, who let you to remaster your system and redistribuite it as iso image.

The scope of this project is to implement the process of remastering your version of Linux, generate it as ISO image to burn on a CD/DVD or copy to a usb key to boot your system. You can easily install your live system with gui installer (calamares) or eggs CLI installer (krill).

COMMANDS

    •   eggs adapt (eggs adapt)

    •   eggs analyze (eggs analyze)

    •   eggs autocomplete [SHELL] (eggs autocomplete [SHELL])

    •   eggs calamares (eggs calamares)

    •   eggs config (eggs config)

    •   eggs cuckoo (eggs cuckoo)

    •   eggs dad (eggs dad)

    •   eggs export deb (eggs export deb)

    •   eggs export iso (eggs export iso)

    •   eggs help [COMMAND] (eggs help [COMMAND])

    •   eggs install ⟨#eggs-install⟩

    •   eggs kill (eggs kill)

    •   eggs mom (eggs mom)

    •   eggs produce (eggs produce)

    •   eggs status (eggs status)

    •   eggs syncfrom (eggs syncfrom)

    •   eggs syncto (eggs syncto)

    •   eggs tools clean (eggs tools clean)

    •   eggs tools ppa (eggs tools ppa)

    •   eggs tools skel (eggs tools skel)

    •   eggs tools stat (eggs tools stat)

    •   eggs tools yolk (eggs tools yolk)

    •   eggs update (eggs update)

    •   eggs version (eggs version)

    •   eggs wardrobe get [REPO] (eggs wardrobe get [REPO])

    •   eggs wardrobe list [WARDROBE] (eggs wardrobe list [WARDROBE])

    •   eggs wardrobe show [COSTUME] (eggs wardrobe show [COSTUME])

    •   eggs wardrobe wear [COSTUME] (eggs wardrobe wear [COSTUME])

  eggs adapt

adapt monitor resolution for VM only

    USAGE
      $ eggs adapt [-h] [-v]
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      adapt monitor resolution for VM only
    EXAMPLES
      $ eggs adapt

  eggs analyze

analyze for syncto

    USAGE
      $ eggs analyze [-h] [-v]
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose  verbose
    DESCRIPTION
      analyze for syncto
    EXAMPLES
      sudo eggs analyze

  eggs autocomplete [SHELL]

display autocomplete installation instructions

    USAGE
      $ eggs autocomplete [SHELL] [-r]
    ARGUMENTS
      SHELL  shell type
    FLAGS
      -r, --refresh-cache  Refresh cache (ignores displaying instructions)
    DESCRIPTION
      display autocomplete installation instructions
    EXAMPLES
      $ eggs autocomplete
      $ eggs autocomplete bash
      $ eggs autocomplete zsh
      $ eggs autocomplete --refresh-cache

  eggs calamares

configure calamares or install or configure it

    USAGE
      $ eggs calamares [-h] [-i] [-n] [-r] [--remove] [--theme <value>] [-v]
    FLAGS
      -h, --help           Show CLI help.
      -i, --install        install calamares and its dependencies
      -n, --nointeractive  no user interaction
      -p, --policies       configure calamares policies
      -r, --release        release: remove calamares and all its dependencies after the installation
      -v, --verbose
      --remove             remove calamares and its dependencies
      --theme=<value>      theme/branding for eggs and calamares
    DESCRIPTION
      configure calamares or install or configure it
    EXAMPLES
      sudo eggs calamares
      sudo eggs calamares --install
      sudo eggs calamares --install --theme=/path/to/theme
      sudo eggs calamares --remove

  eggs config

Configure and install prerequisites deb packages to run it

    USAGE
      $ eggs config [-c] [-h] [-n] [-v]
    FLAGS
      -c, --clean          remove old configuration before to create new one
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -N, --noicons        no icons
    DESCRIPTION
      Configure and install prerequisites deb packages to run it
    EXAMPLES
      sudo eggs config
      sudo eggs config --clean
      sudo eggs config --clean --nointeractive

  eggs cuckoo

PXE start with proxy-dhcp

    USAGE
      $ eggs cuckoo [-h]
    FLAGS
      -h, --help  Show CLI help.
    DESCRIPTION
      PXE start with proxy-dhcp
    EXAMPLES
      sudo eggs cuckoo

  eggs dad

ask help from daddy - TUI configuration helper

    USAGE
      $ eggs dad [-c] [-d] [-h] [-v]
    FLAGS
      -c, --clean    remove old configuration before to create
      -d, --default  remove old configuration and force default
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      ask help from daddy - TUI configuration helper
    EXAMPLES
      sudo dad
      sudo dad --clean
      sudo dad --default

  eggs export deb

export deb/docs/iso to the destination host

    USAGE
      $ eggs export deb [-a] [-c] [-h] [-v]
    FLAGS
      -a, --all      export all archs
      -c, --clean    remove old .deb before to copy
      -h, --help     Show CLI help.
      -v, --verbose  verbose
    DESCRIPTION
      export deb/docs/iso to the destination host
    EXAMPLES
      $ eggs export deb
      $ eggs export deb --clean
      $ eggs export deb --all

  eggs export iso

export iso in the destination host

    USAGE
      $ eggs export iso [-c] [-h] [-v]
    FLAGS
      -c, --clean    delete old ISOs before to copy
      -C, --checksum  export checksums md5 and sha256
      -h, --help     Show CLI help.
      -v, --verbose  verbose
    DESCRIPTION
      export iso in the destination host
    EXAMPLES
      $ eggs export iso
      $ eggs export iso --clean

  eggs help [COMMAND]

Display help for eggs.

    USAGE
      $ eggs help [COMMAND] [-n]
    ARGUMENTS
      COMMAND  Command to show help for.
    FLAGS
      -n, --nested-commands  Include all nested commands in the output.
    DESCRIPTION
      Display help for eggs.

  eggs install or eggs krill

krill: the CLI system installer - the egg became a penguin!

    USAGE
      $ eggs install [-k] [-c <value>] [-d <value>] [-H] [-h] [-i] [-n] [-N] [-p] [-r] [-s] [-S] [-u] [-v]
    FLAGS
      -H, --halt            Halt the system after installation
      -N, --none            Swap none: 256M
      -S, --suspend         Swap suspend: RAM x 2
      -c, --custom=<value>  custom unattended configuration
      -d, --domain=<value>  Domain name, defult: .local
      -h, --help            Show CLI help.
      -i, --ip              hostname as ip, eg: ip-192-168-1-33
      -k, --crypted         Crypted CLI installation
      -n, --nointeractive   no user interaction
      -p, --pve             Proxmox VE install
      -r, --random          Add random to hostname, eg: colibri-ay412dt
      -s, --small           Swap small: RAM
      -u, --unattended      Unattended installation
      -v, --verbose         Verbose
    DESCRIPTION
      krill: the CLI system installer - the egg became a penguin!
    EXAMPLES
      sudo eggs install
      sudo eggs install --unattended
      sudo eggs install --custom it

  eggs kill

kill the eggs/free the nest

    USAGE
      $ eggs kill [-h] [-n] [-v]
    FLAGS
      -h, --help           Show CLI help.
      -i, --isos           erase all ISOs on remote mount
      -n, --nointeractive  no user interaction
      -v, --verbose        verbose
    DESCRIPTION
      kill the eggs/free the nest
    EXAMPLES
      sudo eggs kill

  eggs mom

ask help from mommy - TUI helper

    USAGE
      $ eggs mom [-h]
    FLAGS
      -h, --help  Show CLI help.
    DESCRIPTION
      ask help from mommy - TUI helper
    EXAMPLES
      $ eggs mom

  eggs produce

produce a live image from your system whithout your data

    USAGE
      $ eggs produce [--addons <value>] [--basename <value>] [-c] [-C] [-h] [-m] [-n] [-p <value>] [--release]
        [-s] [-f] [--theme <value>] [-v] [-y]
    FLAGS
      -C, --cryptedclone    crypted clone
      -c, --clone           clone
      -f, --standard        standard compression
      -h, --help            Show CLI help.
      -m, --max             max compression
      -N, --noicons         no icons
      -n, --nointeractive   no user interaction
      -p, --prefix=<value>  prefix
      -s, --script          script mode. Generate scripts to manage iso build
      -u, --unsecure        include /home/* and full /root contents on live
      -v, --verbose         verbose
      -y, --yolk            force yolk renew
      --addons=<value>...   addons to be used: adapt, ichoice, pve, rsupport
      --basename=<value>    basename
      --filters=<value>...  filters to be used: custom. dev, homes, usr
      --release             release: max compression, remove penguins-eggs and calamares after installation
      --theme=<value>       theme for livecd, calamares branding and partitions
    DESCRIPTION
      produce a live image from your system whithout your data
    EXAMPLES
      sudo eggs produce
      sudo eggs produce --max
      sudo eggs produce --clone

      sudo eggs produce --clone --max

      sudo eggs produce --basename=colibri
      sudo eggs produce --filters custom homes usr
      sudo eggs produce --theme /path/to/theme --addons adapt

  eggs status

informations about eggs status

    USAGE
      $ eggs status [-h] [-v]
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      informations about eggs status
    EXAMPLES
      $ eggs status

  eggs syncfrom

restore users and user data from a LUKS volumes

    USAGE
      $ eggs syncfrom [--delete <value>] [-f <value>] [-h] [-r <value>] [-v]
    FLAGS
      -f, --file=<value>     file LUKS volume encrypted
      -h, --help             Show CLI help.
      -r, --rootdir=<value>  rootdir of the installed system, when used from live
      -v, --verbose          verbose
      --delete=<value>       rsync --delete delete extraneous files from dest dirs
    DESCRIPTION
      restore users and user data from a LUKS volumes
    EXAMPLES
      sudo eggs syncfrom
      sudo eggs syncfrom --file /path/to/fileLUKS

  eggs syncto

saves users and user data in a LUKS volume inside the iso

    USAGE
      $ eggs syncto [--delete <value>] [-f <value>] [-h] [-v]
    FLAGS
      -f, --file=<value>  file LUKS volume encrypted
      -h, --help          Show CLI help.
      -v, --verbose       verbose
      --delete=<value>    rsync --delete delete extraneous files from dest dirs
    DESCRIPTION
      saves users and user data in a LUKS volume inside the iso
    EXAMPLES
      sudo eggs syncto
      sudo eggs syncto --file /path/to/fileLUKS

  eggs tools clean

clean system log, apt, etc

    USAGE
      $ eggs tools clean [-h] [-n] [-v]
    FLAGS
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -v, --verbose        verbose
    DESCRIPTION
      clean system log, apt, etc
    EXAMPLES
      sudo eggs tools clean

  eggs tools ppa

add/remove PPA repositories (Debian family)

    USAGE
      $ eggs tools ppa [-a] [-h] [-n] [-r] [-v]
    FLAGS
      -a, --add            add penguins-eggs PPA repository
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -r, --remove         remove penguins-eggs PPA repository
      -v, --verbose        verbose
    DESCRIPTION
      add/remove PPA repositories (Debian family)
    EXAMPLES
      sudo eggs tools ppa --add
      sudo eggs tools ppa --remove

  eggs tools skel

update skel from home configuration

    USAGE
      $ eggs tools skel [-h] [-u <value>] [-v]
    FLAGS
      -h, --help          Show CLI help.
      -u, --user=<value>  user to be used
      -v, --verbose
    DESCRIPTION
      update skel from home configuration
    EXAMPLES
      sudo eggs tools skel
      sudo eggs tools skel --user user-to-be-copied

  eggs tools stat

get statistics from sourceforge

    USAGE
      $ eggs tools stat [-h] [-m] [-y]
    FLAGS
      -h, --help   Show CLI help.
      -m, --month  current month
      -y, --year   current year
    DESCRIPTION
      get statistics from sourceforge
    EXAMPLES
      $ eggs tools stat
      $ eggs tools stat --month
      $ eggs tools stat --year

  eggs tools yolk

configure eggs to install without internet

    USAGE
      $ eggs tools yolk [-h] [-v]
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      configure eggs to install without internet
    EXAMPLES
      sudo eggs tools yolk

  eggs update

update the Penguins' eggs tool

    USAGE
      $ eggs update [-h] [-v]
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose  verbose
    DESCRIPTION
      update the Penguins' eggs tool
    EXAMPLES
      $ eggs update

  eggs version

    USAGE
      $ eggs version [--json] [--verbose]
    FLAGS
      --verbose  Show additional information about the CLI.
    GLOBAL FLAGS
      --json  Format output as json.
    FLAG DESCRIPTIONS
      --verbose  Show additional information about the CLI.
        Additionally shows the architecture, node version, operating system, and versions of plugins that the CLI is using.

  eggs wardrobe get [REPO]

get warorobe

    USAGE
      $ eggs wardrobe get [REPO] [-h] [-v]
    ARGUMENTS
      REPO  repository to get
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      get warorobe
    EXAMPLES
      $ eggs wardrobe get
      $ eggs wardrobe get your-wardrobe

  eggs wardrobe list [WARDROBE]

list costumes and accessoires in wardrobe

    USAGE
      $ eggs wardrobe list [WARDROBE] [-h] [-v]
    ARGUMENTS
      WARDROBE  wardrobe
    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose
    DESCRIPTION
      list costumes and accessoires in wardrobe
    EXAMPLES
      $ eggs wardrobe list
      $ eggs wardrobe list your-wardrobe

  eggs wardrobe show [COSTUME]

show costumes/accessories in wardrobe

    USAGE
      $ eggs wardrobe show [COSTUME] [-h] [-j] [-v] [-w <value>]
    ARGUMENTS
      COSTUME  costume
    FLAGS
      -h, --help              Show CLI help.
      -j, --json              output JSON
      -v, --verbose
      -w, --wardrobe=<value>  wardrobe
    DESCRIPTION
      show costumes/accessories in wardrobe
    EXAMPLES
      $ eggs wardrobe show colibri
      $ eggs wardrobe show accessories/firmwares
      $ eggs wardrobe show accessories/

  eggs wardrobe wear [COSTUME]

wear costume/accessories from wardrobe

    USAGE
      $ eggs wardrobe wear [COSTUME] [-h] [-a] [-f] [-s] [-v] [-w <value>]
    ARGUMENTS
      COSTUME  costume
    FLAGS
      -a, --no_accessories    not install accessories
      -f, --no_firmwares      not install firmwares
      -h, --help              Show CLI help.
      -s, --silent
      -v, --verbose
      -w, --wardrobe=<value>  wardrobe
    DESCRIPTION
      wear costume/accessories from wardrobe
    EXAMPLES
      sudo eggs wardrobe wear duck
      sudo eggs wardrobe wear accessories/firmwares
      sudo eggs wardrobe wear wagtail/waydroid

FILES

      /etc/penguins-eggs.d
        all eggs configurations are here
      /etc/penguins-eggs.d/exclude.list
        exclude.list rsync
      /usr/lib/penguins-eggs (deb package)
        here eggs is installed

TROUBLES

  BUGS

Report problems o new ideas in: ⟨https://github.com/pieroproietti/penguins-eggs/issues⟩

RESOURCES AND DOCUMENTATION

Consult website to find documentation

    •   website: https://penguins-eggs.net

    •   gitHub repository: https://github.com/pieroproietti/penguins-eggs

    •   telegram: https://t.me/penguins_eggs

AUTHOR

Piero Proietti ⟨piero.proietti@gmail.com⟩